# Function makePromise

- makePromise< T , E >(
  executor: (
  resolve: (value: T | PromiseLike< T >) => void,
  reject: (reason: E ) => void,
  ) => void,
  ): CustomPromise < T , E >

- #### Type Parameters

  - T
  - E

  #### Parameters

  - executor: (
    resolve: (value: T | PromiseLike< T >) => void,
    reject: (reason: E ) => void,
    ) => void

  #### Returns CustomPromise < T , E >

  - Defined in packages/lib/src/Deferred.ts:5